org.jboss.resteasy.plugins.providers.multipart

## Class XopWithMultipartRelatedJAXBProvider

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.AbstractEntityProvider<T>
  - - org.jboss.resteasy.plugins.providers.jaxb.AbstractJAXBProvider<Object>
    - - org.jboss.resteasy.plugins.providers.multipart.XopWithMultipartRelatedJAXBProvider

- All Implemented Interfaces:
    MessageBodyReader<Object>, MessageBodyWriter<Object>

      public class XopWithMultipartRelatedJAXBProvider
      extends AbstractJAXBProvider<Object>

  A special JAXB Provider. It is not a real provider, it is only used as a helper class inside `XopWithMultipartRelatedReader` and `XopWithMultipartRelatedWriter`.
  Version:
    $Revision: 1 $
  Author:
    Attila Kiraly

- - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.plugins.providers.jaxb.AbstractJAXBProvider

      `providers`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XopWithMultipartRelatedJAXBProvider(Providers providers)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `isReadWritable(Class<?> type, Type genericType, Annotation[] annotations, MediaType mediaType)` FIXME Comment this
    `Object` | `readFrom(Class<Object> type, Type genericType, Annotation[] annotations, MediaType mediaType, MultivaluedMap<String,String> httpHeaders, InputStream entityStream, MultipartRelatedInput xopPackage)`
    `void` | `writeTo(Object t, Class<?> type, Type genericType, Annotation[] annotations, MediaType mediaType, MultivaluedMap<String,Object> httpHeaders, MultipartRelatedOutput xopPackage)`

    - ### Methods inherited from class org.jboss.resteasy.plugins.providers.jaxb.AbstractJAXBProvider

      `decorateMarshaller, decorateUnmarshaller, findJAXBContext, getCharset, getMarshaller, isDisableDTDs, isDisableExternalEntities, isEnableSecureProcessingFeature, isReadable, isWriteable, needsSecurity, processWithSecureProcessing, readFrom, setCharset, setDisableDTDs, setDisableExternalEntities, setEnableSecureProcessingFeature, writeTo`

    - ### Methods inherited from class org.jboss.resteasy.plugins.providers.AbstractEntityProvider

      `getSize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XopWithMultipartRelatedJAXBProvider

          public XopWithMultipartRelatedJAXBProvider(Providers providers)

  - ### Method Detail

    - #### isReadWritable

          protected boolean isReadWritable(Class<?> type,
                               Type genericType,
                               Annotation[] annotations,
                               MediaType mediaType)

      Description copied from class: `AbstractJAXBProvider`
      FIXME Comment this
      Specified by:
        `isReadWritable` in class `AbstractJAXBProvider<Object>`
      Returns:

    - #### readFrom

          public Object readFrom(Class<Object> type,
                        Type genericType,
                        Annotation[] annotations,
                        MediaType mediaType,
                        MultivaluedMap<String,String> httpHeaders,
                        InputStream entityStream,
                        MultipartRelatedInput xopPackage)
                          throws IOException

      Throws:
        `IOException`

    - #### writeTo

          public void writeTo(Object t,
                     Class<?> type,
                     Type genericType,
                     Annotation[] annotations,
                     MediaType mediaType,
                     MultivaluedMap<String,Object> httpHeaders,
                     MultipartRelatedOutput xopPackage)
                       throws IOException

      Throws:
        `IOException`

Copyright © 2014. All Rights Reserved.